Subject: Re: Double alignment trouble
From: Fergus Henderson <[email-masked]>
To: OSKAR BERRETEAGA <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Mon, 8 Feb 1999 22:35:12 +1100

On 08-Feb-1999, OSKAR BERRETEAGA <[email-masked]> wrote:
> 
> I've been trying to change the way gcc aligns double type variables but
> with no possitive result.

The newsgroup gnu.gcc.help might be a more appropriate forum for this
question.

> These are the options I've set with gcc: -malign-double (alone or with
> one of the following -march='pentium' -m386 -m486) and the full command
> line is: gcc -c test.c -malign-double -o test.o

`-malign-double' is the default.  If you want to disable it, you need
to use `-mno-align-double'.  However, this will typically have a
negative effect on performance, and may cause binary compatibility
problems, so I don't recommend using this option.

> I've even used the  __attribute__((aligned(2))) for both the struct and
> the double var but, again, it seems it has no effect on double
> alignment.

Please RTFM. The documentation of the `aligned' attribute is quite clear:

 |	This attribute specifies a minimum alignment ...
 ...	                           ^^^^^^^^
 |	The `aligned' attribute can only increase the alignment;
 |	but you can decrease it by specifying `packed' as well.

-- 
Fergus Henderson <[email-masked]>  |  "Binaries may die
WWW: <http://www.cs.mu.oz.au/~fjh>  |   but source code lives forever"
PGP: finger [email-masked]        |     -- leaked Microsoft memo.

--   
Want to unsubscribe from this list?                             
Send a message to [email-masked]